### Method

# RB RhythmDB query_to_string

#### Declaration [src]

    char*
    rhythmdb_query_to_string (
      RhythmDB* db,
      RhythmDBQuery* query
    )

#### Description [src]

Returns a supposedly human-readable form of the query. This is only intended for debug usage.

#### Parameters

`query`

  Type: `RhythmDBQuery`

  A query.

  The data is owned by the caller of the method.

#### Return value

Type: `char*`

Allocated string form of the query.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.